Subject: Re: [patch net-next 2/3] net: devlink: call lockdep_assert_held() for devlink->lock directly

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Jul 2022 19:58:39 -0700

On Mon, 4 Jul 2022 08:19:17 +0200 Jiri Pirko wrote:
> Jakub, I don't really care. If you say we should do it differently, I
> will do it differently. I just want the use to be consistent. From the
> earlier reactions of DaveM on such helpers, I got an impression we don't
> want them if possible. If this is no longer true, I'm fine with it. Just
> tell me what I should do.

As I said - my understanding is that we want to discourage (driver)
authors from wrapping locks in lock/unlock helpers. Which was very
fashionable at some point (IDK why, but it seem to have mostly gone
away?).

If the helper already exists I think consistency wins and we should use
it.